﻿IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.PostingSurvey' AND COLUMN_NAME = 'SatisfactionLevel' AND IS_NULLABLE='NO')
BEGIN
	ALTER TABLE [Data.Application.PostingSurvey] ALTER COLUMN SatisfactionLevel BIGINT NULL
END
IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.PostingSurvey' AND COLUMN_NAME = 'DidInterview' AND IS_NULLABLE='NO')
BEGIN
	ALTER TABLE [Data.Application.PostingSurvey] ALTER COLUMN DidInterview bit NULL
END
IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.PostingSurvey' AND COLUMN_NAME = 'DidHire' AND IS_NULLABLE='NO')
BEGIN
	ALTER TABLE [Data.Application.PostingSurvey] ALTER COLUMN DidHire bit NULL
END
IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.JobSeekerSurvey' AND COLUMN_NAME = 'SatisfactionLevel' AND IS_NULLABLE='NO')
BEGIN
	ALTER TABLE [Data.Application.JobSeekerSurvey] ALTER COLUMN SatisfactionLevel INT NULL
END
IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.JobSeekerSurvey' AND COLUMN_NAME = 'UnanticipatedMatches' AND IS_NULLABLE='NO')
BEGIN
	ALTER TABLE [Data.Application.JobSeekerSurvey] ALTER COLUMN UnanticipatedMatches bit NULL
END
IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Data.Application.JobSeekerSurvey' AND COLUMN_NAME = 'WasInvitedDidApply' AND IS_NULLABLE='NO')
BEGIN
	ALTER TABLE [Data.Application.JobSeekerSurvey] ALTER COLUMN WasInvitedDidApply bit NULL
END
